from setuptools import setup, find_packages

setup(
    name="prometheus-swarm",
    version="0.3.3",
    packages=find_packages(),
    install_requires=[
        "anthropic>=0.8.1",
        "python-dotenv>=1.0.0",
        "pandas>=2.0.0",
        "tiktoken>=0.5.2",
        "pytest>=8.0.2",
        "typing-extensions>=4.12.2",
        "GitPython>=3.1.44",
        "pygithub>=2.5.0",
        "Flask>=3.0.0",
        "requests>=2.32.0",
        "cryptography>=42.0.0",
        "gunicorn>=22.0.0",
        "solders>=0.26.0",
        "base58>=2.1.0",
        "tenacity>=9.0.0",
        "sqlmodel>=0.0.22",
        "openai>=0.28.0",
        "colorama>=0.4.6",
        "pymongo>=4.11.0",
        "PyNaCl>=1.5.0",
    ],
    python_requires=">=3.8",
    author="Laura Abro",
    description="A framework for building AI agents",
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
    ],
)
